Results 1 to 8 of 8

Thread: Installing VLC - Must use Zypper, YAST doesn't do it right

  1. #1
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,628
    Blog Entries
    1

    Thumbs up Installing VLC - Must use Zypper, YAST doesn't do it right

    Can be considered a bug in 11.3...

    If you attempt to install VLC by simply adding the VideoLAN repository to YAST, the version that's installed won't have audio.

    Follow the Zypper instructions on the VideoLAN website (bottom of the page)
    VideoLAN - VLC media player for openSUSE

    Be sure to specify 11.3 as described, and VLC will install fine.

    TS

  2. #2

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Quote Originally Posted by tsu2 View Post
    Can be considered a bug in 11.3...

    If you attempt to install VLC by simply adding the VideoLAN repository to YAST, the version that's installed won't have audio.

    Follow the Zypper instructions on the VideoLAN website (bottom of the page)
    VideoLAN - VLC media player for openSUSE

    Be sure to specify 11.3 as described, and VLC will install fine.

    TS
    Sorry, but that doesn't makes any sense.

  3. #3
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,530

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Also it is recommended that you use the VLC from Packman

    Multi-media and Restricted Format Installation Guide

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,628
    Blog Entries
    1

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Quote Originally Posted by RedDwarf View Post
    Sorry, but that doesn't makes any sense.
    Uh, what doesn't make sense? Without specifics, I can't make it any clearer.
    I see there are multiple threads where people have complained about installing VLC, and have often blamed the problem on codecs which may or may not be true.

    Just saying that you will have a problem if you simply add the VideoLAN repository to YAST (most typical way of installing). My guess is that method is likely pointing to either an improper location or configuration for 11.3.

    In any case if you use the ZYPPER installation method instead which points very specifically to the 11.3 sub-directory in the repository you'll get a happy conclusion.

    Tony

    I'm just saying that the most typical way of installing (adding the VideoLAN repository to Y

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,628
    Blog Entries
    1

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Also it is recommended that you use the VLC from Packman

    Multi-media and Restricted Format Installation Guide
    Nope, I tried that too (as of last week, approx. middle of Sept 2010).
    Only the ZYPPER method worked for me.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,723
    Blog Entries
    20

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Quote Originally Posted by tsu2 View Post
    Nope, I tried that too (as of last week, approx. middle of Sept 2010).
    Only the ZYPPER method worked for me.
    Then you are doing something wrong.

    DO you actually need any help or were you just making a statement to this fact you make mention.?
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Jun 2008
    Location
    UK
    Posts
    5,500

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Quote Originally Posted by tsu2 View Post
    Nope, I tried that too (as of last week, approx. middle of Sept 2010).
    Only the ZYPPER method worked for me.
    So did I on 11.3. VLC installed from Packman (VideoLan repo disabled) using YaST. Works perfectly well.

  8. #8
    Join Date
    Jun 2008
    Location
    /dev/swat
    Posts
    1,181

    Default Re: Installing VLC - Must use Zypper, YAST doesn't do it right

    Most of the susers here you will see using packman including me, and will have no problems at all as always.
    Also i am a little confused, what zypper or YaST have to do with videolan or packman repo. Both installation goes the same way. I installed it from packman through YaST with out any problems and update it through zypper. No problems at all.
    Also Packman is recommended instead of videolan as suggested above by others.
    Linux[openSUSE, KDE], PHP, MySQL, Wordpress, Tech News, etc :
    http://anl4u.com

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •